Microsoft Outlook has encountered an error

Asked By 0 points N/A Posted on -
qa-featured

Hello,

I have installed Microsoft Outlook on my system which shows me this annoying error message stating that it is only compatible with Outlook 2003 and 2007 version. I just tried to install this version but could not solve this issue. Help me. Thanks.

Google Calender Sync

Error:

Google Calender Sync support Microsoft Outlook “”2003 and 2007 only. Your version is 14.0.0.4760.

SHARE
Answered By 0 points N/A #173957

Microsoft Outlook has encountered an error

qa-featured

Hi William,

It looks like you are trying to install a version of Google calendar sync that is not compatible with your current version of Office. If you have Office 2010, then you need to get the latest version of the Google calendar sync. You can get the most current version of the software from the Google site. Download the file according to your operating system and then try to install it.

Login/Register to Answer

Related Questions